Composer & PHP Updates: 5.5.4 & 5.4.20 - Blogging, Small Business, Web Design & Hosting Tips - A Small Orange

Composer & PHP Updates: 5.5.4 & 5.4.20


We are pleased to announced that the Composer PHP dependency manager is now available standard on all shared servers. Additionally, composer will now be default installed for convenience on customer Cloud VPS and Dedicated servers.

You can learn more about the composer dependency manager at or read an excellent introduction at

The composer binary can be found on shared, cloud and dedicated servers at:


We would also like to announce that we have updated the alternate PHP installations on all shared, reseller and business cloud servers to PHP versions 5.5.4 and 5.4.20 respectively in keeping with the latest stable releases from These updates are largely maintenance releases with an array of bug fixes.

Please see the change logs for the respective PHP versions on for more details:

We provide you the control and option of enabling PHP 5.5 or 5.4 on your entire account or on a per-directory basis through a simple .htaccess modification. This modification can be placed in an accounts public_html/.htaccess file to enable PHP 5.5 or 5.4 for an entire account or in the .htaccess file of a specific directory to enable PHP 5.5 or 5.4 under that directory tree only.

To enable PHP 5.5 or 5.4, you must add one of the following htaccess option:

AddType application/x-httpd-php55 .php


AddType application/x-httpd-php54 .php

The binary path to the PHP 5.5 and 5.4 installations, should you require it for executable php scripts or cronjobs, is located at:




It is our intention to provide our customers with the latest stable releases of major web programming languages to ensure you have the best possible platform to host and develop upon, providing for a stable and bug free environment. If there is anything we can do to better facilitate your hosting needs, please let us know and we will be glad to assist.

  • PW

    This is awesome! Thanks guys!